experiments.droneControl

## Class ArrayIndexComparator

- java.lang.Object
- - experiments.droneControl.ArrayIndexComparator

All Implemented Interfaces:
  java.util.Comparator<java.lang.Integer>

    public class ArrayIndexComparator
    extends java.lang.Object
    implements java.util.Comparator<java.lang.Integer>

The Class ArrayIndexComparator.

### Constructor Summary

Constructors
Constructor and Description
`ArrayIndexComparator(java.lang.Double[] array)` Instantiates a new array index comparator.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compare(java.lang.Integer arg0, java.lang.Integer arg1)`
`java.lang.Integer[]` `createIndexArray()` Creates the index array.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`comparing, comparing, comparingDouble, comparingInt, comparingLong, equals, naturalOrder, nullsFirst, nullsLast, reversed, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

### Constructor Detail

#### ArrayIndexComparator

    public ArrayIndexComparator(java.lang.Double[] array)

Instantiates a new array index comparator.

Parameters:
  `array` - the array

### Method Detail

#### createIndexArray

    public java.lang.Integer[] createIndexArray()

Creates the index array.

Returns:
  the integer[]

#### compare

    public int compare(java.lang.Integer arg0,
                       java.lang.Integer arg1)

Specified by:
  `compare` in interface `java.util.Comparator<java.lang.Integer>`